Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Class RepositoryConfig

    java.lang.Object
      com.bea.content.federated.RepositoryConfig

All Implemented Interfaces
  IRepositoryConfig, Serializable, Cloneable

Direct Known Subclasses:
  RepositoryConfig

    public class RepositoryConfig

extends Object
implements IRepositoryConfig

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.content.federated.IRepositoryConfig
`DEFAULT_BINARY_CACHE_IS_ENABLED, DEFAULT_BINARY_CACHE_MAX_ENTRIES, DEFAULT_BINARY_CACHE_MAX_ENTRY_SIZE, DEFAULT_BINARY_CACHE_TTL, DEFAULT_CLASS_NAME, DEFAULT_EXPLICIT_CACHE_IS_ENABLED, DEFAULT_EXPLICIT_CACHE_MAX_ENTRIES, DEFAULT_EXPLICIT_CACHE_TTL, DEFAULT_FULLTEXT_SEARCH_IS_ENABLED, DEFAULT_NODE_CACHE_IS_ENABLED, DEFAULT_NODE_CACHE_MAX_ENTRIES, DEFAULT_NODE_CACHE_TTL, DEFAULT_NODE_OPS_HOME, DEFAULT_OBJECT_CLASS_OPS_HOME, DEFAULT_READ_ONLY, DEFAULT_REPO_BINARY_CACHE_IS_ENABLED, DEFAULT_REPO_BINARY_CACHE_MAX_ENTRIES, DEFAULT_REPO_BINARY_CACHE_MAX_ENTRY_SIZE, DEFAULT_REPO_BINARY_CACHE_TTL, DEFAULT_REPO_NODE_CACHE_IS_ENABLED, DEFAULT_REPO_NODE_CACHE_MAX_ENTRIES, DEFAULT_REPO_NODE_CACHE_TTL, DEFAULT_REPO_TYPE_CACHE_IS_ENABLED, DEFAULT_REPO_TYPE_CACHE_MAX_ENTRIES, DEFAULT_REPO_TYPE_CACHE_TTL, DEFAULT_SEARCH_CACHE_ENABLED, DEFAULT_SEARCH_CACHE_IS_ENABLED, DEFAULT_SEARCH_CACHE_MAX_ENTRIES, DEFAULT_SEARCH_CACHE_TTL, DEFAULT_SEARCH_INDEXING_IS_ENABLED, DEFAULT_SEARCH_IS_ENABLED, DEFAULT_SEARCH_OPS_HOME, DEFAULT_TYPE_CACHE_IS_ENABLED, DEFAULT_TYPE_CACHE_MAX_ENTRIES, DEFAULT_TYPE_CACHE_TTL, EXPLICIT_CACHE_IS_ENABLED_KEY, EXPLICIT_CACHE_MAX_ENTRIES_KEY, EXPLICIT_CACHE_TTL_KEY, FEDERATED_EVENTS_ENABLED_KEY, FILESYSTEM_CLASS_NAME, FILESYSTEM_DIRECTORY_KEY, FILESYSTEM_IS_LINKED, FILESYSTEM_NIO, FILESYSTEM_WEBAPP_KEY, FOLDER_BADGES_KEY, FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY, FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY, FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY, MANAGEMENT_ENABLED_KEY, REPO_BINARY_CACHE_IS_ENABLED_KEY, REPO_BINARY_CACHE_MAX_ENTRIES_KEY, REPO_BINARY_CACHE_MAX_ENTRY_SIZE_KEY, REPO_BINARY_CACHE_TTL_KEY, REPO_NODE_CACHE_IS_ENABLED_KEY, REPO_NODE_CACHE_MAX_ENTRIES_KEY, REPO_NODE_CACHE_TTL_KEY, REPO_TYPE_CACHE_IS_ENABLED_KEY, REPO_TYPE_CACHE_MAX_ENTRIES_KEY, REPO_TYPE_CACHE_TTL_KEY, REPO_VALIDATION_KEY, REPOSITORY_EVENTS_ENABLED_KEY, SEARCH_ENGINE_MANAGER_KEY, SEARCH_VALIDATION_KEY, STREAMING_ENABLED_KEY, SYSTEM_PROPERTY_KEYS, USE_NATIVE_SECURITY, USE_RANGE_QUERIES, VCR_VALIDATION_KEY, WEBDAV_DREAMWEAVER_SUPPORT`

Constructor Summary
`RepositoryConfig(String name)` Constructs an instance with just the given name using the defined DEFAULTS for other attributes.
`RepositoryConfig(String name, String className, Properties properties)` Constructs an instance with just name, className and properties using the defined DEFAULTS for other attributes.
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled)` Deprecated
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled, boolean searchIsEnabled)` Constructs an instance using all attributes.
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled, boolean searchIsEnabled, boolean searchIndexingEnabled, boolean fullTextSearchIsEnabled)` Construct a repository config.

Method Summary
`IRepositoryConfig` | `clone()` Clone this
`boolean` | `getBinaryCacheIsEnabled()` Gets the active state for the binary cache of a repository.
`int` | `getBinaryCacheMaxEntries()` Gets the max entries for the binary cache of a repository.
`long` | `getBinaryCacheMaxEntrySize()` Gets the max size for the binary cache of a repository.
`long` | `getBinaryCacheTtl()` Gets the time-to-live for entries in a binary cache of a repository.
`String` | `getClassName()` The class that implements com.bea.content.repostiory.Repository.
`List<String>` | `getFolderBadges()`
`String` | `getFulltextSearchIndexLanguageType()` Retrieves the full-text search index language type, or null if it is not set.
`boolean` | `getFulltextSearchIsEnabled()` Returns true if fulltext searches are allowed for this repository.
`Boolean` | `getFulltextSearchQueryAnyLanguage()` Retrieves the full-text-search query any lanuage setting, or null if it is not set.
`String` | `getFulltextSearchQueryLanguageType()` Retrieves the full-text search query language type, or null if it is not set.
`String` | `getName()` The name of the Repository.
`boolean` | `getNodeCacheIsEnabled()` Gets the active state for the node cache of a repository.
`int` | `getNodeCacheMaxEntries()` Gets the max entries for the node cache of a repository.
`long` | `getNodeCacheTtl()` Gets the time-to-live for entries in a node cache of a repository.
`String` | `getPassword()` Gets the password for the repository.
`Properties` | `getProperties()` Gets the configuration properties for the repository.
`boolean` | `getReadOnly()` Gets the read-only attribute for the repository.
`boolean` | `getSearchCacheIsEnabled()` Gets the active state for the search cache of a repository.
`int` | `getSearchCacheMaxEntries()` Gets the max entries for the search cache of a repository.
`long` | `getSearchCacheTtl()` Gets the time-to-live for entries in a search cache of a repository.
`boolean` | `getSearchIndexingIsEnabled()` Returns true if this repository will index items into its full text search index.
`boolean` | `getSearchIsEnabled()` Returns true if metadata searches are allowed for this repository.
`List<String>` | `getSystemPropertyKeys()` Return the default unmodifiable list of system property keys
`boolean` | `getTypeCacheIsEnabled()` Gets the active state for the type cache of a repository.
`int` | `getTypeCacheMaxEntries()` Gets the max entries for the type cache of a repository.
`long` | `getTypeCacheTtl()` Gets the time-to-live for entries in a type cache of a repository.
`String` | `getUserName()` Gets the username for the repository.
`boolean` | `isBeaRepository()`
`boolean` | `isDeprecatedBEA()`
`boolean` | `isExtended()`
`boolean` | `isManaged()` True if this repository is versionable, false otherwise.
`boolean` | `isStreamable()` True if this repository has enabled streaming support for binary data.
`void` | `setBinaryCacheIsEnabled(boolean binaryCacheIsEnabled)`
`void` | `setBinaryCacheMaxEntries(int binaryCacheMaxEntries)` Sets the binary cache max entries
`void` | `setBinaryCacheMaxEntrySize(long binaryCacheMaxEntrySize)` Sets the binary cache max entry size in bytes.
`void` | `setBinaryCacheTtl(long binaryCacheTtl)` Sets the binary cache time to live
`void` | `setClassName(String className)` Setters for the repo config
`void` | `setFulltextSearchIsEnabled(boolean fulltextSearchIsEnabled)` Sets whether or not this repository is fulltext searchable via the search API.
`void` | `setNodeCacheIsEnabled(boolean nodeCacheIsEnabled)` Sets whether or not the node cache is enabled for the repository
`void` | `setNodeCacheMaxEntries(int nodeCacheMaxEntries)` Sets the ndoe cache max entires for the repository
`void` | `setNodeCacheTtl(long nodeCacheTtl)` Sets the node cache time to live for the repo
`void` | `setPassword(String password)` Sets the password
`void` | `setProperties(Properties properties)` Sets the properties for the repository config
`void` | `setReadOnly(boolean readOnly)` Sets the readOnly attribute of the repository
`void` | `setSearchIndexingIsEnabled(boolean searchIndexingIsEnabled)` Sets whether or not this repository is indexing content into its full text search index.
`void` | `setSearchIsEnabled(boolean searchIsEnabled)` Sets whether or not this repository is metadata searchable via the search API.
`void` | `setUserName(String userName)` Sets the user name
`String` | `toString()` Gets attributes as String.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryConfig

    public RepositoryConfig(String name)

  Constructs an instance with just the given name using the defined DEFAULTS for other attributes.

  Parameters
    `name` - The name of the repository configuration.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties)

  Constructs an instance with just name, className and properties using the defined DEFAULTS for other attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.

### RepositoryConfig

    @Deprecated
    public RepositoryConfig(String name,
                                       String className,
                                       Properties properties,
                                       String userName,
                                       String password,
                                       boolean readOnly,
                                       int nodeCacheMaxEntries,
                                       long nodeCacheTtl,
                                       boolean nodeCacheIsEnabled,
                                       int binaryCacheMaxEntries,
                                       long binaryCacheMaxEntrySize,
                                       long binaryCacheTtl,
                                       boolean binaryCacheIsEnabled)

  Deprecated

  Constructs an instance using all attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties,
                            String userName,
                            String password,
                            boolean readOnly,
                            int nodeCacheMaxEntries,
                            long nodeCacheTtl,
                            boolean nodeCacheIsEnabled,
                            int binaryCacheMaxEntries,
                            long binaryCacheMaxEntrySize,
                            long binaryCacheTtl,
                            boolean binaryCacheIsEnabled,
                            boolean searchIsEnabled)

  Constructs an instance using all attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.
    `searchIsEnabled` - True if search (metadata) is enabled for this repository.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties,
                            String userName,
                            String password,
                            boolean readOnly,
                            int nodeCacheMaxEntries,
                            long nodeCacheTtl,
                            boolean nodeCacheIsEnabled,
                            int binaryCacheMaxEntries,
                            long binaryCacheMaxEntrySize,
                            long binaryCacheTtl,
                            boolean binaryCacheIsEnabled,
                            boolean searchIsEnabled,
                            boolean searchIndexingEnabled,
                            boolean fullTextSearchIsEnabled)

  Construct a repository config.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.
    `searchIsEnabled` - True if search (metadata) is enabled for this repository.
    `searchIndexingEnabled` - True if search indexing (for full-text search) is enabled for this repository.
    `fullTextSearchIsEnabled` - True if full-text search is enabled for this repository.

Method Detail

### getSystemPropertyKeys

    public List<String> getSystemPropertyKeys()

  Description copied from interface: `IRepositoryConfig`
  Return the default unmodifiable list of system property keys

  Specified by:
    `getSystemPropertyKeys` in interface `IRepositoryConfig`
  Returns
    Map

### getName

    public String getName()

  Description copied from interface: `IRepositoryConfig`
  The name of the Repository.

  Specified by:
    `getName` in interface `IRepositoryConfig`
  Returns
    The name.

### getClassName

    public String getClassName()

  Description copied from interface: `IRepositoryConfig`
  The class that implements com.bea.content.repostiory.Repository.

  Specified by:
    `getClassName` in interface `IRepositoryConfig`
  Returns
    The class name.

### getProperties

    public Properties getProperties()

  Description copied from interface: `IRepositoryConfig`
  Gets the configuration properties for the repository.

  Specified by:
    `getProperties` in interface `IRepositoryConfig`
  Returns
    The properties.

### getUserName

    public String getUserName()

  Description copied from interface: `IRepositoryConfig`
  Gets the username for the repository.

  Specified by:
    `getUserName` in interface `IRepositoryConfig`
  Returns
    The user name.

### getPassword

    public String getPassword()

  Description copied from interface: `IRepositoryConfig`
  Gets the password for the repository.

  Specified by:
    `getPassword` in interface `IRepositoryConfig`
  Returns
    The password.

### getReadOnly

    public boolean getReadOnly()

  Description copied from interface: `IRepositoryConfig`
  Gets the read-only attribute for the repository.

  Specified by:
    `getReadOnly` in interface `IRepositoryConfig`
  Returns
    True if this repository is read-only, false otherwise.

### getNodeCacheMaxEntries

    public int getNodeCacheMaxEntries()

  Description copied from interface: `IRepositoryConfig`
  Gets the max entries for the node cache of a repository.

  Specified by:
    `getNodeCacheMaxEntries` in interface `IRepositoryConfig`
  Returns
    The max entries for this repository's node cache.

### getNodeCacheTtl

    public long getNodeCacheTtl()

  Description copied from interface: `IRepositoryConfig`
  Gets the time-to-live for entries in a node cache of a repository.

  Specified by:
    `getNodeCacheTtl` in interface `IRepositoryConfig`
  Returns
    The time-to-live for this repository's node cache.

### getNodeCacheIsEnabled

    public boolean getNodeCacheIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Gets the active state for the node cache of a repository.

  Specified by:
    `getNodeCacheIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if the node cache for this repository is enabled.

### getTypeCacheMaxEntries

    public int getTypeCacheMaxEntries()

  Description copied from interface: `IRepositoryConfig`
  Gets the max entries for the type cache of a repository.

  Specified by:
    `getTypeCacheMaxEntries` in interface `IRepositoryConfig`
  Returns
    The max entries in the type cache for this repository.

### getTypeCacheTtl

    public long getTypeCacheTtl()

  Description copied from interface: `IRepositoryConfig`
  Gets the time-to-live for entries in a type cache of a repository.

  Specified by:
    `getTypeCacheTtl` in interface `IRepositoryConfig`
  Returns
    The time-to-live for this repository's type cache.

### getTypeCacheIsEnabled

    public boolean getTypeCacheIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Gets the active state for the type cache of a repository.

  Specified by:
    `getTypeCacheIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if the type cache for this repository is enabled.

### getSearchCacheMaxEntries

    public int getSearchCacheMaxEntries()

  Description copied from interface: `IRepositoryConfig`
  Gets the max entries for the search cache of a repository.

  Specified by:
    `getSearchCacheMaxEntries` in interface `IRepositoryConfig`
  Returns
    The max entries in the search cache for this repository.

### getSearchCacheTtl

    public long getSearchCacheTtl()

  Description copied from interface: `IRepositoryConfig`
  Gets the time-to-live for entries in a search cache of a repository.

  Specified by:
    `getSearchCacheTtl` in interface `IRepositoryConfig`
  Returns
    The time-to-live for this repository's search cache.

### getSearchCacheIsEnabled

    public boolean getSearchCacheIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Gets the active state for the search cache of a repository.

  Specified by:
    `getSearchCacheIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if the search cache for this repository is enabled.

### getBinaryCacheMaxEntries

    public int getBinaryCacheMaxEntries()

  Description copied from interface: `IRepositoryConfig`
  Gets the max entries for the binary cache of a repository.

  Specified by:
    `getBinaryCacheMaxEntries` in interface `IRepositoryConfig`
  Returns
    The maximum number of entries for this repository's binary cache.

### getBinaryCacheMaxEntrySize

    public long getBinaryCacheMaxEntrySize()

  Description copied from interface: `IRepositoryConfig`
  Gets the max size for the binary cache of a repository.

  Specified by:
    `getBinaryCacheMaxEntrySize` in interface `IRepositoryConfig`
  Returns
    The maximum size (in bytes) for a binary in this repository's binary cache.

### getBinaryCacheTtl

    public long getBinaryCacheTtl()

  Description copied from interface: `IRepositoryConfig`
  Gets the time-to-live for entries in a binary cache of a repository.

  Specified by:
    `getBinaryCacheTtl` in interface `IRepositoryConfig`
  Returns
    The time-to-live for entries in this repository's binary cache.

### getBinaryCacheIsEnabled

    public boolean getBinaryCacheIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Gets the active state for the binary cache of a repository.

  Specified by:
    `getBinaryCacheIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if the binary cache is enabled for this repository.

### getSearchIsEnabled

    public boolean getSearchIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Returns true if metadata searches are allowed for this repository. Searches may be performed through the API and anything built on the API including CM Tags, Content Selectors, and Content Queries.

  Specified by:
    `getSearchIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if metadata searches are allowed for this repository.

### getFulltextSearchIsEnabled

    public boolean getFulltextSearchIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Returns true if fulltext searches are allowed for this repository. Searches may be performed through the API and anything built on the API including CM Tags, Content Selectors, and Content Queries.

  Specified by:
    `getFulltextSearchIsEnabled` in interface `IRepositoryConfig`
  Returns
    true if fulltext searches are allowed for this repository.

### getSearchIndexingIsEnabled

    public boolean getSearchIndexingIsEnabled()

  Description copied from interface: `IRepositoryConfig`
  Returns true if this repository will index items into its full text search index.

  Specified by:
    `getSearchIndexingIsEnabled` in interface `IRepositoryConfig`
  Returns
    True if this repository will index items into its full text search index.

### getFulltextSearchIndexLanguageType

    public String getFulltextSearchIndexLanguageType()

  Description copied from interface: `IRepositoryConfig`
  Retrieves the full-text search index language type, or null if it is not set.

  Specified by:
    `getFulltextSearchIndexLanguageType` in interface `IRepositoryConfig`
  Returns
    The indexing language type set for this repository by the FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY property.

### getFulltextSearchQueryLanguageType

    public String getFulltextSearchQueryLanguageType()

  Description copied from interface: `IRepositoryConfig`
  Retrieves the full-text search query language type, or null if it is not set.

  Specified by:
    `getFulltextSearchQueryLanguageType` in interface `IRepositoryConfig`
  Returns
    The querying language type set for this repository by the FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY property.

### getFulltextSearchQueryAnyLanguage

    public Boolean getFulltextSearchQueryAnyLanguage()

  Description copied from interface: `IRepositoryConfig`
  Retrieves the full-text-search query any lanuage setting, or null if it is not set.

  Specified by:
    `getFulltextSearchQueryAnyLanguage` in interface `IRepositoryConfig`
  Returns
    The query any language type set for this repository by the FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY property.

### getFolderBadges

    public List<String> getFolderBadges()

### isManaged

    public boolean isManaged()

  Description copied from interface: `IRepositoryConfig`
  True if this repository is versionable, false otherwise.

  Specified by:
    `isManaged` in interface `IRepositoryConfig`
  Returns
    true if this repository is versionable, false otherwise.

### isBeaRepository

    public boolean isBeaRepository()

### isExtended

    public boolean isExtended()

### isDeprecatedBEA

    public boolean isDeprecatedBEA()

### isStreamable

    public boolean isStreamable()

  Description copied from interface: `IRepositoryConfig`
  True if this repository has enabled streaming support for binary data.

  Specified by:
    `isStreamable` in interface `IRepositoryConfig`
  Returns
    true if this repository has enabled streaming support for binary data.

### setClassName

    public void setClassName(String className)

  Setters for the repo config

  Specified by:
    `setClassName` in interface `IRepositoryConfig`
  Parameters
    `className` - The class name

### setProperties

    public void setProperties(Properties properties)

  Description copied from interface: `IRepositoryConfig`
  Sets the properties for the repository config

  Specified by:
    `setProperties` in interface `IRepositoryConfig`
  Parameters
    `properties` - The properties to set.

### setUserName

    public void setUserName(String userName)

  Description copied from interface: `IRepositoryConfig`
  Sets the user name

  Specified by:
    `setUserName` in interface `IRepositoryConfig`
  Parameters
    `userName` - The username to set.

### setPassword

    public void setPassword(String password)

  Description copied from interface: `IRepositoryConfig`
  Sets the password

  Specified by:
    `setPassword` in interface `IRepositoryConfig`
  Parameters
    `password` - The password to set.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Description copied from interface: `IRepositoryConfig`
  Sets the readOnly attribute of the repository

  Specified by:
    `setReadOnly` in interface `IRepositoryConfig`
  Parameters
    `readOnly` - The readOnly bit for this repository.

### setNodeCacheMaxEntries

    public void setNodeCacheMaxEntries(int nodeCacheMaxEntries)

  Description copied from interface: `IRepositoryConfig`
  Sets the ndoe cache max entires for the repository

  Specified by:
    `setNodeCacheMaxEntries` in interface `IRepositoryConfig`
  Parameters
    `nodeCacheMaxEntries` - The maxinum cache entries for the node cache for this repository.

### setNodeCacheIsEnabled

    public void setNodeCacheIsEnabled(boolean nodeCacheIsEnabled)

  Description copied from interface: `IRepositoryConfig`
  Sets whether or not the node cache is enabled for the repository

  Specified by:
    `setNodeCacheIsEnabled` in interface `IRepositoryConfig`
  Parameters
    `nodeCacheIsEnabled` - True if enabling the node cache, else false.

### setNodeCacheTtl

    public void setNodeCacheTtl(long nodeCacheTtl)

  Description copied from interface: `IRepositoryConfig`
  Sets the node cache time to live for the repo

  Specified by:
    `setNodeCacheTtl` in interface `IRepositoryConfig`
  Parameters
    `nodeCacheTtl` - The time-to-live value for entries in this repository's node cache.

### setBinaryCacheMaxEntries

    public void setBinaryCacheMaxEntries(int binaryCacheMaxEntries)

  Description copied from interface: `IRepositoryConfig`
  Sets the binary cache max entries

  Specified by:
    `setBinaryCacheMaxEntries` in interface `IRepositoryConfig`
  Parameters
    `binaryCacheMaxEntries` - The maximum number of entires in this repository's binary cache.

### setBinaryCacheMaxEntrySize

    public void setBinaryCacheMaxEntrySize(long binaryCacheMaxEntrySize)

  Description copied from interface: `IRepositoryConfig`
  Sets the binary cache max entry size in bytes.

  Specified by:
    `setBinaryCacheMaxEntrySize` in interface `IRepositoryConfig`
  Parameters
    `binaryCacheMaxEntrySize` - The maximum size of an entry for this repository's binary cache.

### setBinaryCacheTtl

    public void setBinaryCacheTtl(long binaryCacheTtl)

  Description copied from interface: `IRepositoryConfig`
  Sets the binary cache time to live

  Specified by:
    `setBinaryCacheTtl` in interface `IRepositoryConfig`
  Parameters
    `binaryCacheTtl` - The time-to-live value for entries in this repository's binary cache.

### setBinaryCacheIsEnabled

    public void setBinaryCacheIsEnabled(boolean binaryCacheIsEnabled)

  Specified by:
    `setBinaryCacheIsEnabled` in interface `IRepositoryConfig`

### setSearchIsEnabled

    public void setSearchIsEnabled(boolean searchIsEnabled)

  Description copied from interface: `IRepositoryConfig`
  Sets whether or not this repository is metadata searchable via the search API.

  Specified by:
    `setSearchIsEnabled` in interface `IRepositoryConfig`
  Parameters
    `searchIsEnabled` - True if metadata search is enabled for this repository.

### setFulltextSearchIsEnabled

    public void setFulltextSearchIsEnabled(boolean fulltextSearchIsEnabled)

  Description copied from interface: `IRepositoryConfig`
  Sets whether or not this repository is fulltext searchable via the search API.

  Specified by:
    `setFulltextSearchIsEnabled` in interface `IRepositoryConfig`
  Parameters
    `fulltextSearchIsEnabled` - True if fulltext search is enabled for this repository.

### setSearchIndexingIsEnabled

    public void setSearchIndexingIsEnabled(boolean searchIndexingIsEnabled)

  Description copied from interface: `IRepositoryConfig`
  Sets whether or not this repository is indexing content into its full text search index.

  Specified by:
    `setSearchIndexingIsEnabled` in interface `IRepositoryConfig`
  Parameters
    `searchIndexingIsEnabled` - True if fulltext search indexing is enabled for this repository.

### toString

    public String toString()

  Description copied from interface: `IRepositoryConfig`
  Gets attributes as String.

  Specified by:
    `toString` in interface `IRepositoryConfig`
  Overrides:
    `toString` in class `Object`

### clone

    public IRepositoryConfig clone()
                            throws CloneNotSupportedException

  Description copied from interface: `IRepositoryConfig`
  Clone this

  Specified by:
    `clone` in interface `IRepositoryConfig`
  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.